Browse Source

Sync with portage [Sun Sep 11 20:46:42 MSK 2016].

mhiretskiy 529
root 6 years ago
parent
commit
e4ff98d66c
  1. 2
      app-admin/conky/conky-1.10.4.ebuild
  2. 31
      app-admin/conky/files/conky-1.10.4-x11-build.patch
  3. 55
      app-admin/keepassx/keepassx-2.0.2-r1.ebuild
  4. 33
      app-admin/lib_users/lib_users-0.9-r1.ebuild
  5. 1
      app-admin/paxtest/Manifest
  6. 80
      app-admin/paxtest/paxtest-0.9.14.ebuild
  7. 42
      app-admin/paxtest/paxtest-0.9.15-r1.ebuild
  8. 80
      app-admin/paxtest/paxtest-0.9.15.ebuild
  9. 1
      app-admin/puppetserver/Manifest
  10. 110
      app-admin/puppetserver/puppetserver-2.6.0.ebuild
  11. 1
      app-admin/salt/Manifest
  12. 56
      app-admin/salt/files/salt-2016.3.3-broken-tests.patch
  13. 143
      app-admin/salt/salt-2016.3.3.ebuild
  14. 88
      app-arch/engrampa/engrampa-1.10.2-r1.ebuild
  15. 77
      app-arch/engrampa/engrampa-1.12.0-r1.ebuild
  16. 72
      app-arch/engrampa/engrampa-1.12.0.ebuild
  17. 25
      app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.09-compat.patch
  18. 30
      app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.14-compat.patch
  19. 1
      app-backup/dar/Manifest
  20. 96
      app-backup/dar/dar-2.5.6.ebuild
  21. 1
      app-crypt/eid-mw/Manifest
  22. 83
      app-crypt/eid-mw/eid-mw-4.1.18.ebuild
  23. 1
      app-emacs/csharp-mode/Manifest
  24. 23
      app-emacs/csharp-mode/csharp-mode-0.9.0.ebuild
  25. 1
      app-emacs/desktop+/Manifest
  26. 27
      app-emacs/desktop+/desktop+-0.2.ebuild
  27. 2
      app-emacs/desktop+/files/50desktop+-gentoo.el
  28. 16
      app-emacs/desktop+/metadata.xml
  29. 1
      app-emacs/f/Manifest
  30. 22
      app-emacs/f/f-0.18.2.ebuild
  31. 1
      app-emacs/f/files/50f-gentoo.el
  32. 16
      app-emacs/f/metadata.xml
  33. 1
      app-emacs/s/Manifest
  34. 1
      app-emacs/s/files/50s-gentoo.el
  35. 16
      app-emacs/s/metadata.xml
  36. 19
      app-emacs/s/s-1.11.0.ebuild
  37. 1
      app-emulation/crossover-bin/Manifest
  38. 147
      app-emulation/crossover-bin/crossover-bin-15.2.0.ebuild
  39. 40
      app-emulation/qemu/files/qemu-2.7.0-CVE-2016-7170.patch
  40. 684
      app-emulation/qemu/qemu-2.7.0-r1.ebuild
  41. 685
      app-emulation/qemu/qemu-2.7.0-r2.ebuild
  42. 18
      app-emulation/spice/spice-0.12.7-r1.ebuild
  43. 18
      app-emulation/spice/spice-0.13.1-r2.ebuild
  44. 18
      app-emulation/spice/spice-0.13.2.ebuild
  45. 18
      app-emulation/spice/spice-9999.ebuild
  46. 4
      app-emulation/virtualbox-extpack-oracle/virtualbox-extpack-oracle-4.3.38.106717.ebuild
  47. 4
      app-emulation/virtualbox-extpack-oracle/virtualbox-extpack-oracle-4.3.40.110317.ebuild
  48. 2
      app-emulation/xen/xen-4.6.3-r2.ebuild
  49. 1
      app-forensics/honggfuzz/Manifest
  50. 40
      app-forensics/honggfuzz/honggfuzz-0.7.ebuild
  51. 11
      app-forensics/honggfuzz/metadata.xml
  52. 1
      app-forensics/quickfuzz/Manifest
  53. 23
      app-forensics/quickfuzz/files/quickfuzz-0.1-QC-2.9.patch
  54. 9
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-megadeth-better-erroro.patch
  55. 12
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-megadeth-ghc-8-gadt.patch
  56. 34
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-megadeth-ghc-8.patch
  57. 22
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-th-2.11-1.patch
  58. 87
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-th-2.11-2.patch
  59. 11
      app-forensics/quickfuzz/files/quickfuzz-0.1_p20160909-ttasm-layout.patch
  60. 9
      app-forensics/quickfuzz/files/quickfuzz-9999-megadeth-better-erroro.patch
  61. 12
      app-forensics/quickfuzz/files/quickfuzz-9999-megadeth-ghc-8-gadt.patch
  62. 34
      app-forensics/quickfuzz/files/quickfuzz-9999-megadeth-ghc-8.patch
  63. 22
      app-forensics/quickfuzz/files/quickfuzz-9999-th-2.11-1.patch
  64. 87
      app-forensics/quickfuzz/files/quickfuzz-9999-th-2.11-2.patch
  65. 11
      app-forensics/quickfuzz/files/quickfuzz-9999-ttasm-layout.patch
  66. 23
      app-forensics/quickfuzz/metadata.xml
  67. 148
      app-forensics/quickfuzz/quickfuzz-0.1_p20160909.ebuild
  68. 173
      app-forensics/quickfuzz/quickfuzz-9999.ebuild
  69. 1
      app-forensics/radamsa/Manifest
  70. 11
      app-forensics/radamsa/metadata.xml
  71. 30
      app-forensics/radamsa/radamsa-0.5-r1.ebuild
  72. 1
      app-forensics/zzuf/Manifest
  73. 8
      app-forensics/zzuf/metadata.xml
  74. 4
      app-forensics/zzuf/zzuf-0.13-r1.ebuild
  75. 26
      app-forensics/zzuf/zzuf-0.15.ebuild
  76. 1
      app-misc/geoclue/Manifest
  77. 59
      app-misc/geoclue/geoclue-2.4.4.ebuild
  78. 52
      app-misc/mtail/files/mtail-1.1.1-remove-blanks.patch
  79. 27
      app-misc/mtail/mtail-1.1.1-r2.ebuild
  80. 8
      app-misc/mtail/mtail-1.1.1-r3.ebuild
  81. 1
      app-shells/zsh-completions/Manifest
  82. 34
      app-shells/zsh-completions/zsh-completions-0.20.0.ebuild
  83. 90
      app-text/aspell/aspell-0.60.6.1-r4.ebuild
  84. 4
      app-text/aspell/files/aspell-0.60.5-solaris.patch
  85. 4
      app-text/aspell/files/aspell-0.60.6-darwin-bundles.patch
  86. 12
      app-text/aspell/files/aspell-0.60.6.1-clang.patch
  87. 276
      app-text/aspell/files/aspell-0.60.6.1-unicode.patch
  88. 2
      app-text/iso-codes/Manifest
  89. 4
      app-text/iso-codes/iso-codes-3.63.ebuild
  90. 69
      app-text/iso-codes/iso-codes-3.65.ebuild
  91. 79
      app-text/iso-codes/iso-codes-3.70.ebuild
  92. 4
      app-text/rpl/rpl-1.5.5-r1.ebuild
  93. 25
      app-text/rpl/rpl-1.5.5.ebuild
  94. 1
      app-text/sigil/Manifest
  95. 85
      app-text/sigil/sigil-0.9.5-r1.ebuild
  96. 86
      app-text/sigil/sigil-0.9.5-r2.ebuild
  97. 86
      app-text/sigil/sigil-0.9.6.ebuild
  98. 151
      app-text/tesseract/tesseract-3.04.00-r4.ebuild
  99. 2
      dev-cpp/libxmlpp/Manifest
  100. 38
      dev-cpp/libxmlpp/libxmlpp-2.38.1.ebuild

2
app-admin/conky/conky-1.10.4.ebuild

@ -74,6 +74,8 @@ CONFIG_CHECK=~IPV6
DOCS=( README.md TODO ChangeLog NEWS AUTHORS )
PATCHES=( "${FILESDIR}"/${P}-x11-build.patch )
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="You can find sample configurations at ${ROOT%/}/usr/share/doc/${PF}.
To customize, copy to ${XDG_CONFIG_HOME}/conky/conky.conf

31
app-admin/conky/files/conky-1.10.4-x11-build.patch

@ -0,0 +1,31 @@
From 178015a9495b7d40031ed7459e4f6b6731633a7c Mon Sep 17 00:00:00 2001
From: shizeeg <shizeeque@gmail.com>
Date: Thu, 8 Sep 2016 18:24:29 +0300
Subject: [PATCH] Fix build without X11 (#317)
---
src/conky.cc | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/src/conky.cc b/src/conky.cc
index 0a812fc..4c5da94 100644
--- a/src/conky.cc
+++ b/src/conky.cc
@@ -1404,6 +1404,9 @@ static void draw_string(const char *s)
int draw_each_line_inner(char *s, int special_index, int last_special_applied)
{
+#ifndef BUILD_X11
+ static int cur_x, cur_y; /* current x and y for drawing */
+#endif
#ifdef BUILD_X11
int font_h = 0;
int cur_y_add = 0;
@@ -1934,6 +1937,7 @@ static void draw_text(void)
static void draw_stuff(void)
{
+ static int text_offset_x, text_offset_y; /* offset for start position */
text_offset_x = text_offset_y = 0;
#ifdef BUILD_IMLIB2
cimlib_render(text_start_x, text_start_y, window.width, window.height);

55
app-admin/keepassx/keepassx-2.0.2-r1.ebuild

@ -0,0 +1,55 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit cmake-utils gnome2-utils vcs-snapshot xdg
DESCRIPTION="Qt password manager compatible with its Win32 and Pocket PC versions"
HOMEPAGE="http://www.keepassx.org/"
SRC_URI="https://www.keepassx.org/releases/${PV}/${P}.tar.gz"
LICENSE="|| ( GPL-2 GPL-3 ) BSD GPL-2 LGPL-2.1 LGPL-3+ CC0-1.0 public-domain || ( LGPL-2.1 GPL-3 )"
SLOT="0"
KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux"
IUSE="test"
DEPEND="
dev-libs/libgcrypt:0=
dev-qt/qtcore:4
dev-qt/qtgui:4
dev-qt/qttest:4
sys-libs/zlib
x11-libs/libX11
x11-libs/libXtst
"
RDEPEND="${DEPEND}"
DOCS=(CHANGELOG)
src_prepare() {
xdg_src_prepare
cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
-DWITH_TESTS="$(usex test)"
)
cmake-utils_src_configure
}
pkg_preinst() {
gnome2_icon_savelist
xdg_pkg_preinst
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_pkg_postinst
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_pkg_postrm
}

33
app-admin/lib_users/lib_users-0.9-r1.ebuild

@ -0,0 +1,33 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
inherit python-r1
DESCRIPTION="Checks /proc for libraries being mapped but marked as deleted"
HOMEPAGE="http://schwarzvogel.de/software-misc.shtml"
SRC_URI="http://schwarzvogel.de/pkgs/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
RDEPEND="${PYTHON_DEPS}"
src_test() {
python_foreach_impl nosetests --verbosity=2
}
src_install() {
python_foreach_impl python_newscript lib_users.py lib_users
dodoc README TODO
}

1
app-admin/paxtest/Manifest

@ -1,2 +1 @@
DIST paxtest-0.9.14.tar.gz 34286 SHA256 7dead81fcdc8db2f88e3da1027e6d7c93596f2e6e4dac25ec9b54c41fa808048 SHA512 6e2d642e1dfe7e3381ed520956d2f5b19ad8c8e569c4ddcf43a2772a76ed67701bb18fe55d7fe2b82ff50644f92470622243ac974083d87448f560f6d48d8727 WHIRLPOOL bef2998611b0487590364648b8f5d4ddc470b212c2a8b0282f4220b1da8033f23299298b51dc932c35f37099f7076a99220726b30d91472ca266042f16c4ed02
DIST paxtest-0.9.15.tar.gz 37929 SHA256 d553848431fd8c2ab6c8361b62e5cedfed1cc1d60088241f4a33d2af15dd667f SHA512 e152f5ada943f69b3745b51ac6d80f35a4c1aff777e93360287ef18b117d07861216d9d0d2075d2511d33e2cb4ea07168bb9ff2f00e79de6060e546b6806c487 WHIRLPOOL db58265b8140209bb253f05de912bcd4017c06bd99e6b8247f052b93081f98b88b04030b4539993a9f180969722e9d4958f929bd8a0395a027ff4e7a25b48f26

80
app-admin/paxtest/paxtest-0.9.14.ebuild

@ -1,80 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib toolchain-funcs
DESCRIPTION="PaX regression test suite"
HOMEPAGE="http://pax.grsecurity.net"
SRC_URI="http://grsecurity.net/~spender/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
sys-apps/paxctl"
# EI_PAX flags are not strip safe.
RESTRICT="strip"
QA_EXECSTACK="usr/bin/${PN}
usr/$(get_libdir)/${PN}/getamap
usr/$(get_libdir)/${PN}/shlibtest2.so
usr/$(get_libdir)/${PN}/execheap
usr/$(get_libdir)/${PN}/mprotstack
usr/$(get_libdir)/${PN}/mprotdata
usr/$(get_libdir)/${PN}/mprotheap
usr/$(get_libdir)/${PN}/randshlib
usr/$(get_libdir)/${PN}/randmain1
usr/$(get_libdir)/${PN}/getshlib
usr/$(get_libdir)/${PN}/randheap2
usr/$(get_libdir)/${PN}/rettofunc2x
usr/$(get_libdir)/${PN}/shlibdata
usr/$(get_libdir)/${PN}/shlibbss
usr/$(get_libdir)/${PN}/getmain1
usr/$(get_libdir)/${PN}/execdata
usr/$(get_libdir)/${PN}/execstack
usr/$(get_libdir)/${PN}/rettofunc2
usr/$(get_libdir)/${PN}/mprotshdata
usr/$(get_libdir)/${PN}/getstack1
usr/$(get_libdir)/${PN}/randamap
usr/$(get_libdir)/${PN}/rettofunc1x
usr/$(get_libdir)/${PN}/getheap2
usr/$(get_libdir)/${PN}/getheap1
usr/$(get_libdir)/${PN}/randheap1
usr/$(get_libdir)/${PN}/getstack2
usr/$(get_libdir)/${PN}/getmain2
usr/$(get_libdir)/${PN}/rettofunc1
usr/$(get_libdir)/${PN}/randstack2
usr/$(get_libdir)/${PN}/mprotshbss
usr/$(get_libdir)/${PN}/randstack1
usr/$(get_libdir)/${PN}/mprotanon
usr/$(get_libdir)/${PN}/randmain2
usr/$(get_libdir)/${PN}/writetext
usr/$(get_libdir)/${PN}/mprotbss
usr/$(get_libdir)/${PN}/anonmap
usr/$(get_libdir)/${PN}/execbss
usr/$(get_libdir)/${PN}/shlibtest.so"
src_prepare() {
mv Makefile.psm Makefile
epatch "${FILESDIR}/${PN}-0.9.13-Makefile.patch"
sed -i "s/^CC := gcc/CC := $(tc-getCC)/" Makefile
sed -i "s/^LD := ld/LD := $(tc-getLD)/" Makefile
}
src_compile() {
emake RUNDIR=/usr/$(get_libdir)/paxtest || die
}
src_install() {
emake DESTDIR="${D}" BINDIR=/usr/bin RUNDIR=/usr/$(get_libdir)/paxtest install || die
newman debian/manpage.1.ex paxtest.1 || die
dodoc ChangeLog README || die
}

42
app-admin/paxtest/paxtest-0.9.15-r1.ebuild

@ -0,0 +1,42 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="6"
inherit eutils multilib toolchain-funcs
DESCRIPTION="PaX regression test suite"
HOMEPAGE="http://pax.grsecurity.net"
SRC_URI="http://grsecurity.net/~spender/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
sys-apps/paxctl"
# EI_PAX flags are not strip safe.
RESTRICT="strip"
src_prepare() {
mv Makefile.psm Makefile
epatch "${FILESDIR}/${PN}-0.9.13-Makefile.patch"
sed -i "s/^CC := gcc/CC := $(tc-getCC)/" Makefile
sed -i "s/^LD := ld/LD := $(tc-getLD)/" Makefile
eapply_user
}
src_compile() {
emake RUNDIR=/usr/$(get_libdir)/paxtest || die
}
src_install() {
emake DESTDIR="${D}" BINDIR=/usr/bin RUNDIR=/usr/$(get_libdir)/paxtest install || die
newman debian/manpage.1.ex paxtest.1 || die
dodoc ChangeLog README || die
}

80
app-admin/paxtest/paxtest-0.9.15.ebuild

@ -1,80 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib toolchain-funcs
DESCRIPTION="PaX regression test suite"
HOMEPAGE="http://pax.grsecurity.net"
SRC_URI="http://grsecurity.net/~spender/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
sys-apps/paxctl"
# EI_PAX flags are not strip safe.
RESTRICT="strip"
QA_EXECSTACK="usr/bin/${PN}
usr/$(get_libdir)/${PN}/getamap
usr/$(get_libdir)/${PN}/shlibtest2.so
usr/$(get_libdir)/${PN}/execheap
usr/$(get_libdir)/${PN}/mprotstack
usr/$(get_libdir)/${PN}/mprotdata
usr/$(get_libdir)/${PN}/mprotheap
usr/$(get_libdir)/${PN}/randshlib
usr/$(get_libdir)/${PN}/randmain1
usr/$(get_libdir)/${PN}/getshlib
usr/$(get_libdir)/${PN}/randheap2
usr/$(get_libdir)/${PN}/rettofunc2x
usr/$(get_libdir)/${PN}/shlibdata
usr/$(get_libdir)/${PN}/shlibbss
usr/$(get_libdir)/${PN}/getmain1
usr/$(get_libdir)/${PN}/execdata
usr/$(get_libdir)/${PN}/execstack
usr/$(get_libdir)/${PN}/rettofunc2
usr/$(get_libdir)/${PN}/mprotshdata
usr/$(get_libdir)/${PN}/getstack1
usr/$(get_libdir)/${PN}/randamap
usr/$(get_libdir)/${PN}/rettofunc1x
usr/$(get_libdir)/${PN}/getheap2
usr/$(get_libdir)/${PN}/getheap1
usr/$(get_libdir)/${PN}/randheap1
usr/$(get_libdir)/${PN}/getstack2
usr/$(get_libdir)/${PN}/getmain2
usr/$(get_libdir)/${PN}/rettofunc1
usr/$(get_libdir)/${PN}/randstack2
usr/$(get_libdir)/${PN}/mprotshbss
usr/$(get_libdir)/${PN}/randstack1
usr/$(get_libdir)/${PN}/mprotanon
usr/$(get_libdir)/${PN}/randmain2
usr/$(get_libdir)/${PN}/writetext
usr/$(get_libdir)/${PN}/mprotbss
usr/$(get_libdir)/${PN}/anonmap
usr/$(get_libdir)/${PN}/execbss
usr/$(get_libdir)/${PN}/shlibtest.so"
src_prepare() {
mv Makefile.psm Makefile
epatch "${FILESDIR}/${PN}-0.9.13-Makefile.patch"
sed -i "s/^CC := gcc/CC := $(tc-getCC)/" Makefile
sed -i "s/^LD := ld/LD := $(tc-getLD)/" Makefile
}
src_compile() {
emake RUNDIR=/usr/$(get_libdir)/paxtest || die
}
src_install() {
emake DESTDIR="${D}" BINDIR=/usr/bin RUNDIR=/usr/$(get_libdir)/paxtest install || die
newman debian/manpage.1.ex paxtest.1 || die
dodoc ChangeLog README || die
}

1
app-admin/puppetserver/Manifest

@ -1,3 +1,4 @@
DIST puppetserver-2.3.2.tar.gz 33673099 SHA256 81e92875c07f73e636143405804f1214f31f0f840d521f03289d93bd7b2a0899 SHA512 3ab750128bd11d1e3d9815a1c9907fc81b673281ec21def56318557c134635bca0418ed445d090da6257da9dd64e65a9c2b9e82257868d5a895459c7458cc731 WHIRLPOOL 55b679e1eed246ad10bea4f973ca51f65b50b2bf112a6d90d8bda600a1d0e4c09abf74756851a4844cf68705d1b94b9f80f688f1523813d9fe14fbc4424d14e0
DIST puppetserver-2.4.0.tar.gz 33822659 SHA256 81d574f7483760bd70cafc079486fe14d243137612f0c130069d94ba7d4fded4 SHA512 c9afab58bb2f432874d302cb63fb213ead561e2bcecc44f776be49dc09eb86deda3019eae1bddb7369bb7bdc1a3d82f47f6053d526b2b28b189358a2bdded852 WHIRLPOOL 079186ecd239a1be1dde847b23a5fe1bc4dedc543b510f2197cd776bc59f943166d3f403727e1cc0ac0232a8519a36944cb4e6ec6bb6bfdc0e822405c4b7fd96
DIST puppetserver-2.5.0.tar.gz 33907947 SHA256 d058d49133b3adba86c8b01c7ab5c1f4511c191fd50e75be583b28ddfc824cd5 SHA512 c822d320a9ce98c6e96e4838770fc52760f08aab9fee26e62174762947b9ccb09234cb1edba0a5e17f4c08e76adccec83d8353f5aa47d08864c5bb9b2dab2574 WHIRLPOOL 1d2fde7aade7e9e6c5117d8d2c88d787a93d1aacdea81ad3235fdb90384d8578739a54ccfcff28e217a86bd5d29c48c4dbbea4d38d3e34c4099ecf21adc9f995
DIST puppetserver-2.6.0.tar.gz 34157248 SHA256 633ad9d1a4da7fa514edd7be6501aa61f779b50e7ec40aeedbc955175945f771 SHA512 3702321a99d8e9f528e2457ceb7bff513619db31687c54884fcf9b47626b680628879b65488c3cad45fa5b3b1d0af9967e40adf1c313b7eb6e0de8c8697af659 WHIRLPOOL d63c3579b4a9f6de94b44d526489509efd7b420bc6fcd4d8ba8c57a7d3d31a209a94b919143f90426a0151224c77ba694d22530cb98169dc94f0b4548d3bb2ba

110
app-admin/puppetserver/puppetserver-2.6.0.ebuild

@ -0,0 +1,110 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit multilib systemd user
DESCRIPTION="Puppet Server is the next-generation application for managing Puppet agents."
HOMEPAGE="http://docs.puppetlabs.com/puppetserver/"
SRC_URI="https://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords as puppet
KEYWORDS="~amd64 ~x86"
RDEPEND+="
>=virtual/jdk-1.7.0
app-admin/puppet-agent[puppetdb?]"
DEPEND+=""
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /opt/puppetlabs/server/data/puppetserver "puppet"
}
src_prepare() {
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' ext/redhat/puppetserver.service || die
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' ext/bin/puppetserver || die
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' install.sh || die
sed -i 's/var\/run/run/g' ext/config/conf.d/puppetserver.conf || die
sed -i 's/var\/run/run/g' ext/redhat/puppetserver.service || die
sed -i 's/var\/run/run/g' install.sh || die
}
src_compile() {
einfo "not compiling"
}
src_install() {
insinto /opt/puppetlabs/server/apps/puppetserver
insopts -m0774
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppet-server-release.jar
insinto /etc/puppetlabs/puppetserver
doins ext/config/logback.xml
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetserver/services.d
doins ext/system-config/services.d/bootstrap.cfg
doins ext/config/services.d/ca.cfg
insinto /etc/puppetlabs/puppetserver/conf.d
doins ext/config/conf.d/puppetserver.conf
doins ext/config/conf.d/auth.conf
doins ext/config/conf.d/global.conf
doins ext/config/conf.d/web-routes.conf
doins ext/config/conf.d/webserver.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetserver/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetserver/cli/apps
doins ext/cli/irb
doins ext/cli/foreground
doins ext/cli/gem
doins ext/cli/ruby
insinto /opt/puppetlabs/server/apps/puppetserver/bin
doins ext/bin/puppetserver
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetserver/bin/puppetserver /opt/puppetlabs/server/bin/puppetserver
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetserver/bin/puppetserver /opt/puppetlabs/bin/puppetserver
dosym /opt/puppetlabs/server/apps/puppetserver/bin/puppetserver /usr/bin/puppetserver
dodir /opt/puppetlabs/server/apps/puppetserver/config/services.d
# other sys stuff
dodir /etc/puppetlabs/code
# needed for systemd
dodir /var/log/puppetlabs/puppetserver
dodir /etc/puppetlabs/puppet/ssl
fowners -R puppet:puppet /etc/puppetlabs/puppet/ssl
fperms -R 771 /etc/puppetlabs/puppet/ssl
# init type tasks
newconfd ext/default puppetserver
newinitd "${FILESDIR}/puppetserver.initd" puppetserver
# systemd type things
insinto /etc/systemd/system/puppetserver.service.d/
newins ext/default gentoo.conf
systemd_dounit ext/redhat/puppetserver.service
# misc
insinto /etc/logrotate.d
newins ext/puppetserver.logrotate.conf puppetserver
# cleanup
dodir /opt/puppetlabs/server/data/puppetserver/jruby-gems
fowners -R puppet:puppet /opt/puppetlabs/server/data
fperms -R 775 /opt/puppetlabs/server/data/puppetserver
fperms -R 700 /var/log/puppetlabs/puppetserver
}
pkg_postinst() {
elog "to install you may want to run the following:"
elog
elog "puppet config set --section master vardir /opt/puppetlabs/server/data/puppetserver"
elog "puppet config set --section master logdir /var/log/puppetlabs/puppetserver"
elog "puppet config set --section master rundir /run/puppetlabs/puppetserver"
elog "puppet config set --section master pidfile /run/puppetlabs/puppetserver/puppetserver.pid"
elog "puppet config set --section master codedir /etc/puppetlabs/code"
}

1
app-admin/salt/Manifest

@ -5,3 +5,4 @@ DIST salt-2015.8.12.tar.gz 7033938 SHA256 712f72b30a9555ea46a51bc677e05ffa2eefae
DIST salt-2015.8.8.tar.gz 6982904 SHA256 b2ecce7bf562cfcd6586d66ade278f268bb89023f0fa0accaa55f90b8a668ef5 SHA512 add65951694bc9e3aaa6db69bf9ac7ed32a5c42822ae34281ca3ea1e7f393235cd6baa1905362d177c62505a514e1c4599751e1a8a913cc334f9ebe1d4ab7ed3 WHIRLPOOL 9d81b6153019ff0862c6ee0e3fa949810e8066798aabcc94f2b87893f51906e0e19e37aa26023ea578eb10ebb9816d30d12104fdc5018c7ce91790bd617b2bba
DIST salt-2016.3.1.tar.gz 7932479 SHA256 e6bdba4693116430c2af57497eb63399e3a139ac0a7016fa0870b49fbe987f75 SHA512 74122020a83df79171b9aa3bc311d1b16930140ec6b063c888d41e10fb8e696f69188b62cf925045b40d8b8fe713759de08978b08bc3b8e1f12722de3a8ddb7b WHIRLPOOL f76afb4d9c6678edf48b608f6dbd27201656fd371b0df78a8a8db306a2cbf5b08fa2fd916e9fb5409b67cd05ab007a3684d91c1e0158416b12f014001de1506a
DIST salt-2016.3.2.tar.gz 8014793 SHA256 6a84b724d02b0dba438dea57650724064675d82620e66749bd2fe8f21da71be0 SHA512 608e2a43bc8c55eeb8c9e0f9207306e591151940ad1ffb869ada12963c0790f37653936e539c0b70439c13180909de2c763db6c30e7f9e2087068985d1b3ff91 WHIRLPOOL 5e6f6dc9980ab6cd6e8c897d140241ce9e6dec8afd08274749a20260c6b871d6e52cd674ed8e838a4aa285bf45c49586d77bc2156f94ee26f4f776d9025040eb
DIST salt-2016.3.3.tar.gz 7952361 SHA256 5906038594f1b9b3ac41714774fbd78f0af80d2f3ffe1c1bf20308032d7d52b6 SHA512 46a8f8b3213e4cc02eaed95e7fc28ce224fe07fe2aea39b68ff3e97043021951558f04690f7043510c8dfb62d76fe82192d67de6151c7f1076a23c0f8d796c9e WHIRLPOOL dc21ca7d996b5f59501e4658a38fee8d1bdd20669059b72781a4e7e4c91b2fc40f267a533f6974c26a70b4dd8ac20d93174d1a8d9c04d351af0a47dc53572379

56
app-admin/salt/files/salt-2016.3.3-broken-tests.patch

@ -0,0 +1,56 @@
diff --git a/tests/unit/modules/boto_lambda_test.py b/tests/unit/modules/boto_lambda_test.py
index 01ca245..722915b 100644
--- a/tests/unit/modules/boto_lambda_test.py
+++ b/tests/unit/modules/boto_lambda_test.py
@@ -626,18 +626,6 @@ class BotoLambdaEventSourceMappingTestCase(BotoLambdaTestCaseBase, BotoLambdaTes
**conn_parameters)
self.assertTrue(result['deleted'])
- @skipIf(ON_SUSE, 'Skipping while debugging why the test suite hangs and bails on this test on opensuse')
- def test_that_when_deleting_an_event_source_mapping_by_name_succeeds_the_delete_event_source_mapping_method_returns_true(self):
- '''
- tests True mapping deleted.
- '''
- self.conn.list_event_source_mappings.return_value = {'EventSourceMappings': [event_source_mapping_ret]}
- result = boto_lambda.delete_event_source_mapping(
- EventSourceArn=event_source_mapping_ret['EventSourceArn'],
- FunctionName=event_source_mapping_ret['FunctionArn'],
- **conn_parameters)
- self.assertTrue(result['deleted'])
-
def test_that_when_deleting_an_event_source_mapping_without_identifier_the_delete_event_source_mapping_method_raises_saltinvocationexception(self):
'''
tests Deleting a mapping without identifier
diff --git a/tests/unit/modules/inspect_collector_test.py b/tests/unit/modules/inspect_collector_test.py
index 9d2fa3a..710bbd7 100644
--- a/tests/unit/modules/inspect_collector_test.py
+++ b/tests/unit/modules/inspect_collector_test.py
@@ -36,28 +36,6 @@ class InspectorCollectorTestCase(TestCase):
self.assertEqual(inspector.dbfile, '/foo/cache/_minion_collector.db')
self.assertEqual(inspector.pidfile, '/foo/pid/bar.pid')
- def test_file_tree(self):
- '''
- Test file tree.
-
- :return:
- '''
-
- inspector = Inspector(cachedir='/test', piddir='/test', pidfilename='bar.pid')
- tree_root = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'inspectlib', 'tree_test')
- expected_tree = (['/a/a/dummy.a', '/a/b/dummy.b', '/b/b.1', '/b/b.2', '/b/b.3'],
- ['/a', '/a/a', '/a/b', '/a/c', '/b', '/c'],
- ['/a/a/dummy.ln.a', '/a/b/dummy.ln.b', '/a/c/b.1', '/b/b.4',
- '/b/b.5', '/c/b.1', '/c/b.2', '/c/b.3'])
- tree_result = []
- for chunk in inspector._get_all_files(tree_root):
- buff = []
- for pth in chunk:
- buff.append(pth.replace(tree_root, ''))
- tree_result.append(buff)
- tree_result = tuple(tree_result)
- self.assertEqual(expected_tree, tree_result)
-
def test_get_unmanaged_files(self):
'''
Test get_unmanaged_files.

143
app-admin/salt/salt-2016.3.3.ebuild

@ -0,0 +1,143 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit eutils systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="http://saltstack.org/"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
KEYWORDS=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~x86 ~amd64"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cherrypy ldap libcloud libvirt gnupg keyring mako mongodb mysql neutron nova"
IUSE+=" openssl portage profile redis selinux test timelib raet +zeromq vim-syntax"
RDEPEND="sys-apps/pciutils
dev-python/jinja[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.3[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=www-servers/tornado-4.2.1[${PYTHON_USEDEP}]
virtual/python-futures[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? ( dev-python/libvirt-python[${PYTHON_USEDEP}] )
openssl? (
dev-libs/openssl:*[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
zeromq? (
>=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}]
>=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
mysql? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
timelib? ( dev-python/timelib[${PYTHON_USEDEP}] )
nova? ( >=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}] )
neutron? ( >=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}] )
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/timelib[${PYTHON_USEDEP}]
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
!x86? ( dev-python/boto3[${PYTHON_USEDEP}] )
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
${RDEPEND}
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )"
RESTRICT="x86? ( test )"
PATCHES=(
"${FILESDIR}/${PN}-2015.8.2-tmpdir.patch"
"${FILESDIR}/${PN}-2016.3.1-dont-realpath-tmpdir.patch"
"${FILESDIR}/${PN}-2016.3.2-broken-tests.patch"
"${FILESDIR}/${PN}-2016.3.3-broken-tests.patch"
)
python_prepare() {
# this test fails because it trys to "pip install distribute"
rm tests/unit/{modules,states}/zcbuildout_test.py \
tests/unit/modules/{rh_ip,win_network,random_org}_test.py || die
# apparently libcloud does not know about this?
rm tests/unit/cloud/clouds/dimensiondata_test.py || die
# seriously? "ValueError: Missing (or not readable) key file: '/home/dany/PRIVKEY.pem'"
rm tests/unit/cloud/clouds/gce_test.py || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -dup /tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
(
cleanup() { rm -f "${tempdir}"; }
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}"
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose
) || die "testing failed"
}

88
app-arch/engrampa/engrampa-1.10.2-r1.ebuild

@ -0,0 +1,88 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
GCONF_DEBUG="yes"
GNOME2_LA_PUNT="yes"
inherit gnome2 versionator
MATE_BRANCH="$(get_version_component_range 1-2)"
SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz"
DESCRIPTION="Engrampa archive manager for MATE"
HOMEPAGE="http://mate-desktop.org"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="caja magic"
RDEPEND=">=x11-libs/gtk+-2.24.0:2
>=dev-libs/glib-2.32.0:2
>=dev-libs/json-glib-0.14:0
x11-libs/gdk-pixbuf:2
x11-libs/pango:0
virtual/libintl:0
caja? ( >=mate-base/caja-1.10:0 )
magic? ( sys-apps/file )
!!app-arch/mate-file-archiver"
DEPEND="${RDEPEND}
app-text/yelp-tools
>=dev-util/intltool-0.35:*
>=mate-base/mate-common-1.8:0
sys-devel/gettext:*
virtual/pkgconfig:*"
PATCHES=(
"${FILESDIR}/${PN}-1.10.2-p7zip-15.09-compat.patch"
"${FILESDIR}/${PN}-1.10.2-p7zip-15.14-compat.patch"
)
src_prepare() {
gnome2_src_prepare
# Drop DEPRECATED flags as configure option doesn't do it, bug #385453
sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
copy-n-paste/Makefile.am copy-n-paste/Makefile.in || die
}
src_configure() {
gnome2_src_configure \
--disable-run-in-place \
--disable-packagekit \
--disable-deprecations \
--with-gtk=2.0 \
$(use_enable caja caja-actions) \
$(use_enable magic)
}
DOCS="AUTHORS HACKING MAINTAINERS NEWS README TODO"
pkg_postinst() {
gnome2_pkg_postinst
elog ""
elog "${PN} is a frontend for several archiving utilities. If you want a"
elog "particular achive format supported install the relevant package."
elog
elog "For example:"
elog " 7-zip : emerge app-arch/p7zip"
elog " ace : emerge app-arch/unace"
elog " arj : emerge app-arch/arj"
elog " cpio : emerge app-arch/cpio"
elog " deb : emerge app-arch/dpkg"
elog " iso : emerge app-cdr/cdrtools"
elog " jar,zip : emerge app-arch/zip or emerge app-arch/unzip"
elog " lha : emerge app-arch/lha"
elog " lzma : emerge app-arch/xz-utils"
elog " lzop : emerge app-arch/lzop"
elog " rar : emerge app-arch/unrar"
elog " rpm : emerge app-arch/rpm"
elog " unstuff : emerge app-arch/stuffit"
elog " zoo : emerge app-arch/zoo"
}

77
app-arch/engrampa/engrampa-1.12.0-r1.ebuild

@ -0,0 +1,77 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
MATE_LA_PUNT="yes"
inherit mate
if [[ ${PV} != 9999 ]]; then
KEYWORDS="~amd64 ~arm ~x86"
fi
DESCRIPTION="Engrampa archive manager for MATE"
LICENSE="GPL-2"
SLOT="0"
IUSE="caja gtk3 magic packagekit"
RDEPEND="
>=dev-libs/glib-2.32.0:2
>=dev-libs/json-glib-0.14:0
x11-libs/gdk-pixbuf:2
x11-libs/pango:0
virtual/libintl:0
caja? ( >=mate-base/caja-1.8[gtk3(-)=] )
!gtk3? ( >=x11-libs/gtk+-2.24.0:2 )
gtk3? ( >=x11-libs/gtk+-3.0:3 )
magic? ( sys-apps/file )
packagekit? ( app-admin/packagekit-base )
!!app-arch/mate-file-archiver"
DEPEND="${RDEPEND}
app-text/yelp-tools
>=dev-util/intltool-0.50.1:*
sys-devel/gettext:*
virtual/pkgconfig:*"
PATCHES=(
"${FILESDIR}/${PN}-1.10.2-p7zip-15.09-compat.patch"
"${FILESDIR}/${PN}-1.10.2-p7zip-15.14-compat.patch"
)
src_configure() {
mate_src_configure \
--disable-run-in-place \
--disable-deprecations \
--with-gtk=$(usex gtk3 3.0 2.0) \
$(use_enable caja caja-actions) \
$(use_enable magic) \
$(use_enable packagekit)
}
pkg_postinst() {
mate_pkg_postinst
elog ""
elog "${PN} is a frontend for several archiving utilities. If you want a"
elog "particular achive format supported install the relevant package."
elog
elog "For example:"
elog " 7-zip : emerge app-arch/p7zip"
elog " ace : emerge app-arch/unace"
elog " arj : emerge app-arch/arj"
elog " cpio : emerge app-arch/cpio"
elog " deb : emerge app-arch/dpkg"
elog " iso : emerge app-cdr/cdrtools"
elog " jar,zip : emerge app-arch/zip or emerge app-arch/unzip"
elog " lha : emerge app-arch/lha"
elog " lzma : emerge app-arch/xz-utils"
elog " lzop : emerge app-arch/lzop"
elog " rar : emerge app-arch/unrar"
elog " rpm : emerge app-arch/rpm"
elog " unstuff : emerge app-arch/stuffit"
elog " zoo : emerge app-arch/zoo"
}

72
app-arch/engrampa/engrampa-1.12.0.ebuild

@ -1,72 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
MATE_LA_PUNT="yes"
inherit mate
if [[ ${PV} != 9999 ]]; then
KEYWORDS="~amd64 ~arm ~x86"
fi
DESCRIPTION="Engrampa archive manager for MATE"
LICENSE="GPL-2"
SLOT="0"
IUSE="caja gtk3 magic packagekit"
RDEPEND="
>=dev-libs/glib-2.32.0:2
>=dev-libs/json-glib-0.14:0
x11-libs/gdk-pixbuf:2
x11-libs/pango:0
virtual/libintl:0
caja? ( >=mate-base/caja-1.8[gtk3(-)=] )
!gtk3? ( >=x11-libs/gtk+-2.24.0:2 )
gtk3? ( >=x11-libs/gtk+-3.0:3 )
magic? ( sys-apps/file )
packagekit? ( app-admin/packagekit-base )
!!app-arch/mate-file-archiver"
DEPEND="${RDEPEND}
>=dev-util/intltool-0.50.1:*
dev-util/itstool:0
sys-devel/gettext:*
virtual/pkgconfig:*"
src_configure() {
mate_src_configure \
--disable-run-in-place \
--disable-deprecations \
--with-gtk=$(usex gtk3 3.0 2.0) \
$(use_enable caja caja-actions) \
$(use_enable magic) \
$(use_enable packagekit)
}
pkg_postinst() {
mate_pkg_postinst
elog ""
elog "${PN} is a frontend for several archiving utilities. If you want a"
elog "particular achive format supported install the relevant package."
elog
elog "For example:"
elog " 7-zip : emerge app-arch/p7zip"
elog " ace : emerge app-arch/unace"
elog " arj : emerge app-arch/arj"
elog " cpio : emerge app-arch/cpio"
elog " deb : emerge app-arch/dpkg"
elog " iso : emerge app-cdr/cdrtools"
elog " jar,zip : emerge app-arch/zip or emerge app-arch/unzip"
elog " lha : emerge app-arch/lha"
elog " lzma : emerge app-arch/xz-utils"
elog " lzop : emerge app-arch/lzop"
elog " rar : emerge app-arch/unrar"
elog " rpm : emerge app-arch/rpm"
elog " unstuff : emerge app-arch/stuffit"
elog " zoo : emerge app-arch/zoo"
}

25
app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.09-compat.patch

@ -0,0 +1,25 @@
From 4f65bde8fc4d4efe747d4e7fbeba1211469ed79a Mon Sep 17 00:00:00 2001
From: monsta <monsta@inbox.ru>
Date: Thu, 24 Dec 2015 17:11:19 +0300
Subject: [PATCH] 7z: correct checking for p7zip 15.09+
from https://github.com/GNOME/file-roller/commit/ed9c3fd2
fixes https://github.com/mate-desktop/engrampa/issues/114
---
src/fr-command-7z.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/fr-command-7z.c b/src/fr-command-7z.c
index 297ba1b..0b784f7 100644
--- a/src/fr-command-7z.c
+++ b/src/fr-command-7z.c
@@ -106,7 +106,7 @@ list__process_line (char *line,
strncpy (version, ver_start, ver_len);
version[ver_len] = 0;
- if (strcmp (version, "4.55") < 0)
+ if ((strcmp (version, "4.55") < 0) && (ver_len > 1) && (version[1] == '.'))
p7z_comm->old_style = TRUE;
else
p7z_comm->old_style = FALSE;

30
app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.14-compat.patch

@ -0,0 +1,30 @@
From a2a537eb4c263a5b33851572a189fe89476b212e Mon Sep 17 00:00:00 2001
From: sc0w <scow@riseup.net>
Date: Wed, 25 May 2016 02:29:21 +0200
Subject: [PATCH] p7zip-rar 15.14 supported
since 15.14, p7zip-rar uses the plugin Rar.so to handle archives
It can find on /usr/lib/ or /usr/libexec/
If someone has it in another folder, we can add it
Fixes #136
---
src/fr-command-7z.c | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/src/fr-command-7z.c b/src/fr-command-7z.c
index 20cfa2c..a7d032e 100644
--- a/src/fr-command-7z.c
+++ b/src/fr-command-7z.c
@@ -599,7 +599,8 @@ fr_command_7z_get_capabilities (FrCommand *comm,
if (is_mime_type (mime_type, "application/x-rar")
|| is_mime_type (mime_type, "application/x-cbr"))
{
- if (! check_command || g_file_test ("/usr/lib/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS))
+ if (! check_command || g_file_test ("/usr/lib/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS) || g_file_test ("/usr/lib/p7zip/Codecs/Rar.so", G_FILE_TEST_EXISTS)
+ || g_file_test ("/usr/libexec/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS) || g_file_test ("/usr/libexec/p7zip/Codecs/Rar.so", G_FILE_TEST_EXISTS))
capabilities |= FR_COMMAND_CAN_READ;
}
else

1
app-backup/dar/Manifest

@ -2,3 +2,4 @@ DIST dar-2.4.20.tar.gz 1804634 SHA256 f0f66108692de8b27e76b1832d9013d9d1dbf45d2a
DIST dar-2.4.22.tar.gz 1802561 SHA256 19a977e3ca7ed15e4406bb3e08ff2b8225d291a5c4189a6d5b7b3d75eea50f2b SHA512 1eb809e6388be7e0c11961b1cd84712e5a94ff5fcbfd4fb66ed5a9aa23e01e7b99ba7300491ea383517b99af289c2d2bb9eab904c0511f23610bbb8feee4575c WHIRLPOOL 6156344a471ae23afae6b58e9bbb030a1d829425c086561843a388873cb5003ea09ec1fdd11245bad2e12a40cc10155e490bef1ef68de5ad9915a5f51f98f93a
DIST dar-2.4.9.tar.gz 1751738 SHA256 3d11159a290886dde968e16d36f32fa8640029708457bc87cc0da6d0eac71643 SHA512 9a9b972599747493694fd838bafaa690e70490b5c500f084f0d0225e93a54ce40d61bc495827519c88f6a94542b88a1be5d11e5a98e672abe8659364d1b4c51f WHIRLPOOL f700bf7bd393e6dc2cce11e7bc56af0f130ea3fb714de04617a940ec15d6174c06b7a1051eb9c6ffa7a0ec686b1f13c288af1b541d49b332932743d0d617b56b
DIST dar-2.5.5.tar.gz 1861378 SHA256 aa77d6778206b00ad7b37d5f615aafff3ea770b35d96625429c14ff67b78466d SHA512 202f1b35a4b74d60215768deffe24b745bba699b880dd4228dff3a983cbfdcd6e5f739cf81073d937d793f188f44339cfeb712e2874533b01cce49b0a451c306 WHIRLPOOL fccac49a2f52adafb226c77f3ba0418fbcbe913fb80646e873a206f5d44cd693bd2be5f4dc1839957019ee500d70cd5a272e86a21ce1774d6d17ceeb3d7cd5e0
DIST dar-2.5.6.tar.gz 1879556 SHA256 47db04275d9f10f3a074e226d6fe760184e9694f1811a98f0b41e4f1dee30815 SHA512 cb707e7f95917de6eb0d221effe380d75abf49cd28bd97dd4a9056032f465aba5ee02eca08554fd5154bc4664946564723a6defa7d5d9cc4d9e62fe690e2095e WHIRLPOOL e9930b21b2d319b3df6e5f0bd1b19e4900b5863232a682b62c4324f13eafdb74e530ca8dc3b92801758f7facb1d20a21706cbbaa4436ac5a2a8ff163d582660c

96
app-backup/dar/dar-2.5.6.ebuild

@ -0,0 +1,96 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit confutils flag-o-matic
DESCRIPTION="A full featured backup tool, aimed for disks (floppy,CDR(W),DVDR(W),zip,jazz etc.)"
HOMEPAGE="http://dar.linux.free.fr/"
SRC_URI="mirror://sourceforge/dar/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux"
IUSE="dar32 dar64 doc gcrypt gpg lzo nls static static-libs xattr"
RESTRICT="test" # need to be run as root
RDEPEND=">=sys-libs/zlib-1.2.3:=
!static? (
app-arch/bzip2:=
app-arch/xz-utils:=
sys-libs/libcap
gcrypt? ( dev-libs/libgcrypt:0= )
gpg? ( app-crypt/gpgme )
xattr? ( sys-apps/attr:= )
)
lzo? ( !static? ( dev-libs/lzo:= ) )
nls? ( virtual/libintl )"
DEPEND="${RDEPEND}
static? (
app-arch/bzip2[static-libs]
app-arch/xz-utils[static-libs]
sys-libs/libcap[static-libs]
sys-libs/zlib[static-libs]
gcrypt? ( dev-libs/libgcrypt:0=[static-libs] )
gpg? (
app-crypt/gpgme[static-libs]
dev-libs/libassuan[static-libs]
dev-libs/libgpg-error[static-libs]
)
lzo? ( dev-libs/lzo[static-libs] )
xattr? ( sys-apps/attr[static-libs] )
)
nls? ( sys-devel/gettext )
doc? ( app-doc/doxygen )"
REQUIRED_USE="?? ( dar32 dar64 )
gpg? ( gcrypt )"
DOCS="AUTHORS ChangeLog NEWS README THANKS TODO"
#PATCHES=(
#)
src_configure() {
local myconf=( --disable-upx )
# Bug 103741
filter-flags -fomit-frame-pointer
# configure.ac is totally funked up regarding the AC_ARG_ENABLE
# logic.
# For example "--enable-dar-static" causes configure to DISABLE
# static builds of dar.
# Do _not_ use $(use_enable) until you have verified that the
# logic has been fixed by upstream.
use xattr || myconf+=( --disable-ea-support )
use dar32 && myconf+=( --enable-mode=32 )
use dar64 && myconf+=( --enable-mode=64 )
use doc || myconf+=( --disable-build-html )
# use examples && myconf+=( --enable-examples )
use gcrypt || myconf+=( --disable-libgcrypt-linking )
use gpg || myconf+=( --disable-gpgme-linking )
use lzo || myconf+=( --disable-liblzo2-linking )
use nls || myconf+=( --disable-nls )
if ! use static ; then
myconf+=( --disable-dar-static )
if ! use static-libs ; then
myconf+=( --disable-static )
fi
fi
econf ${myconf[@]}
}
src_install() {
emake DESTDIR="${D}" pkgdatadir="${EPREFIX}"/usr/share/doc/${PF}/html install
einstalldocs
if ! use static-libs ; then
prune_libtool_files --all
fi
}

1
app-crypt/eid-mw/Manifest

@ -1,2 +1,3 @@
DIST eid-mw-4.1.18-v4.1.18.tar.gz 3480541 SHA256 abc9d3194008f05b2589ddd9a29c45d22d89716bdc8689fcec42b2aa8450ddbf SHA512 18825a06007f7c07609cee034896ebf64b589200e04b72fece2bd65004a738c01cf64475d59f2c94b7242aa1adfc433bf4af6cf8b5d809746f3e9357ac27b98c WHIRLPOOL 584817aff81a1e0b1af24e5b259fa7e40b5a43b27be701242430cdc480d8ba57205faeba6fb787f1321e02916e6f3efa722e01609151fa3798b8e37b13cb159e
DIST eid-mw-4.1.4-v4.1.4.tar.gz 3475913 SHA256 2996960ea92504c7cee1953ccf4520ba78979c7771645e2b2c1207f94be0a308 SHA512 efcc4dbd0fa383896df9f5a7492b18beb5259cfa368a919ae18bd996e5976a67d0570c0fbccd5ab38ea95c31f48b92c145c526aa59866217a418a80a550d502f WHIRLPOOL 11e35b3649a0c3bd40e4c901ba4d922305dc2b4098018bd018ee71b963b08898e6295e4f71cb7180b0fc8e64d1afe01ce49bcaa36a60c065c2de84b81d19e398
DIST eid-mw-4.1.9-v4.1.9.tar.gz 3475708 SHA256 0c46c73b805884dd4ae739eb6025c137c1055ad119eac1ab37cb83eb32d92953 SHA512 bc61b3f212bfedf6f47f2841bc6c9b1198be5e3c7b382e3e28635c9e6f5c4ed8ccb118b105f668969fba31e49750cb1c5b129cd5b67a2725af122a8eae491b1c WHIRLPOOL 06b1f9780e984ac6c562bacab03936cd759ea1fce45687f09ae314d4fa77edce02c7ba4db5a9bc3fd739392f8b7b182b19b2734c1d21d63f6995c3cd572695d9

83
app-crypt/eid-mw/eid-mw-4.1.18.ebuild

@ -0,0 +1,83 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils autotools mozextension multilib
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://github.com/Fedict/${PN}.git
https://github.com/Fedict/${PN}.git"
inherit git-2
SRC_URI=""
else
MY_P="${P}-v${PV}"
SRC_URI="https://downloads.services.belgium.be/eid/${MY_P}.tar.gz"
KEYWORDS="~x86 ~amd64 ~arm"
S="${WORKDIR}/${MY_P}"
fi
SLOT="0"
LICENSE="LGPL-3"
DESCRIPTION="Electronic Identity Card middleware supplied by the Belgian Federal Government"
HOMEPAGE="http://eid.belgium.be"
IUSE="+gtk +xpi +dialogs"
REQUIRED_USE="
dialogs? ( gtk )"
RDEPEND="gtk? ( x11-libs/gtk+:= )
>=sys-apps/pcsc-lite-1.2.9
xpi? ( || ( >=www-client/firefox-bin-3.6.24
>=www-client/firefox-3.6.20 ) )
!app-misc/beid-runtime"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_prepare() {
use gtk || epatch "${FILESDIR}"/gtk_not_required_4.1.4.patch
if [[ ${PV} == "9999" ]] ; then
# Only in current git. Hopefully, in next release.
sed -i -e 's:/beid/rsaref220:/rsaref220:' configure.ac || die
sed -i -e 's:/beid::' cardcomm/pkcs11/src/libbeidpkcs11.pc.in || die
fi
if [[ ${PV} == "9999" ]] || ! use gtk ; then
eautoreconf
fi
}
src_configure() {
econf \
$(use_enable dialogs) \
--with-gnu-ld \
--disable-static \
--disable-signed
}
src_install() {
emake DESTDIR="${D}" install
if [[ ${PV} != "9999" ]] ; then
# Automatically done in current git. Hopefully, in next release.
rm doc/sdk/include/rsaref220/win32.h || die
doheader -r doc/sdk/include/*
fi
if use xpi; then
declare MOZILLA_FIVE_HOME
if has_version '>=www-client/firefox-3.6.20'; then
MOZILLA_FIVE_HOME="/usr/$(get_libdir)/firefox"
xpi_install "${D}/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be"
fi
if has_version '>=www-client/firefox-bin-3.6.24'; then
MOZILLA_FIVE_HOME="/opt/firefox"
xpi_install "${D}/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be"
fi
fi
rm -r "${D}/usr/share" "${D}"/usr/lib*/*.la || die
}

1
app-emacs/csharp-mode/Manifest

@ -1 +1,2 @@
DIST csharp-mode-0.7.0.tar.bz2 6254 SHA256 e72a17972283691c33080aaa60d8060576d2951f1e374da223cf76468bd2eeec SHA512 b6cbf2899853c29f44d19f37a01984a03c61f7bde144880f6f32e2a890d3b90a546ff69ad328d157e5494191aed37836373f49ddbafac49d8b9bd1cea3e22de9 WHIRLPOOL 58816ec16158adb4de40fe27540a3734813012ecd7f345fc048faa4807d85ecef9617d82e30f945ad7dfb1452ef066a1ed3e38c3e792e43940e23464ba70c552
DIST csharp-mode-0.9.0.tar.gz 50453 SHA256 4232fe0fc4528be543ca1e338ce3e839814f2a5b43e480c16b7b4f1ea1bca3c5 SHA512 81661d98acdf03e01caf3b9388da8571e78402b8914755b223a38a723457a988201adcaf7b5b825c4e0126ad5e7628063f85dd4e60ee272102a5f1509f9446ef WHIRLPOOL c84d316b0160b092e5d368fc0020e9a05a2616b7da80cb8777dc7a80b7cbc19f79eeb5f112d6541343e468281958db4c3c1ee723c1b8443de93813bd6a636c81

23
app-emacs/csharp-mode/csharp-mode-0.9.0.ebuild

@ -0,0 +1,23 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit elisp
DESCRIPTION="A derived Emacs mode implementing most of the C# rules"
HOMEPAGE="https://github.com/josteink/csharp-mode"
SRC_URI="https://github.com/josteink/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
SITEFILE="50${PN}-gentoo.el"
src_install() {
elisp-install ${PN} csharp-mode.el{,c}
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
dodoc README.org
}

1
app-emacs/desktop+/Manifest

@ -0,0 +1 @@
DIST desktop+-0.2.tar.gz 19596 SHA256 74b1c4115e172e11c658c61f156c6a01fc3b862e7fdba5b3a92e5779dbb78fcf SHA512 3fe0647e506832e37378862d59f5d748f8db20d4ad776d7486ba3393f67047a69f0e5704042eec2e2327ead89b6b2e55196f5773efbe975f5913a6ec6f01269c WHIRLPOOL 18ac8dba3a49e65d0368a9a39b7bfb6fe412f0f641aebec80cc31ad80807c4f08584537c8b23b8c305ba1b0b9ba7dcb41a6ab9867949c7bbeb073be5db505073

27
app-emacs/desktop+/desktop+-0.2.ebuild

@ -0,0 +1,27 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit elisp
DESCRIPTION="desktop+ extends standard desktop module"
HOMEPAGE="https://github.com/ffevotte/desktop-plus"
SRC_URI="https://github.com/ffevotte/desktop-plus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="app-emacs/dash app-emacs/f"
DEPEND="${RDEPEND}"
S="${WORKDIR}/desktop-plus-${PV}"
SITEFILE="50${PN}-gentoo.el"
DOCS="README.md"
src_compile() {
elisp-compile *.el
elisp-make-autoload-file
}

2
app-emacs/desktop+/files/50desktop+-gentoo.el

@ -0,0 +1,2 @@
(add-to-list 'load-path "@SITELISP@")
(load "desktop+-autoloads" nil t)

16
app-emacs/desktop+/metadata.xml

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>victor@enise.org</email>
<name>Victor Gaydov</name>
</maintainer>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

1
app-emacs/f/Manifest

@ -0,0 +1 @@
DIST f-0.18.2.tar.gz 18485 SHA256 e5791b653128f6508244a64096526439fcff6b40011b56c07fba552f20d446a4 SHA512 5b11084dcc6afcc85ed0e187f6dd252c391fa43325be5b88b776171b3bc7076ea2bbd32b7c424deb70e035f6acd46acd86053547663502530832db2c50eba346 WHIRLPOOL ef30dda229dba4da6432f5383f0e842132211da9472ab0625933d4421b74d9fa1adbb92654f2a3aacc9797ca312c4aa20b3b9572c7e11fa750ef34a011e1c099

22
app-emacs/f/f-0.18.2.ebuild

@ -0,0 +1,22 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit elisp
DESCRIPTION="Modern API for working with files and directories in Emacs"
HOMEPAGE="https://github.com/rejeep/f.el"
SRC_URI="https://github.com/rejeep/f.el/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="app-emacs/dash app-emacs/s"
DEPEND="${RDEPEND}"
S="${WORKDIR}/f.el-${PV}"
SITEFILE="50${PN}-gentoo.el"
DOCS="README.md"

1
app-emacs/f/files/50f-gentoo.el

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

16
app-emacs/f/metadata.xml

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>victor@enise.org</email>
<name>Victor Gaydov</name>
</maintainer>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

1
app-emacs/s/Manifest

@ -0,0 +1 @@
DIST s-1.11.0.tar.gz 46771 SHA256 826d186458f7568f1304bca0c094034a9e7370bd2858dcf806dd513abe2d384f SHA512 364fa7ea875e9be6db464a826c1259889b67d87817b41cff40ab7da80e0bfc3e27dcadadfd005a64a895ee92644c2dea82789bdf1b1fe538501c40f748455608 WHIRLPOOL cccae8d9539dbc91da97e68dd88e13b08bd2ba1a414b62bb431c43dc1f4c8b1e4a8d37996a861d7817763bc08c4fee53dd9a4f8134ba0719f33b6e6f6a4b7496

1
app-emacs/s/files/50s-gentoo.el

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

16
app-emacs/s/metadata.xml

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>victor@enise.org</email>
<name>Victor Gaydov</name>
</maintainer>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

19
app-emacs/s/s-1.11.0.ebuild

@ -0,0 +1,19 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit elisp
DESCRIPTION="The long lost Emacs string manipulation library"
HOMEPAGE="https://github.com/magnars/s.el"
SRC_URI="https://github.com/magnars/s.el/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"
S="${WORKDIR}/s.el-${PV}"
SITEFILE="50${PN}-gentoo.el"
DOCS="README.md"

1
app-emulation/crossover-bin/Manifest

@ -11,3 +11,4 @@ DIST install-crossover-14.1.4.bin 68463678 SHA256 9e51823fca911916755b1edca8673c
DIST install-crossover-15.0.0.bin 80995834 SHA256 ac538e5568674e23f515b6725bb4cb8b17c516bc910c875d3ac7e45d69f7aff4 SHA512 597262b760c7cfc3c42cdb0b846802c6c47d4fcd5af06b53d0c63c80e4890e14af8ff0eaaac74a08f4f5d55e166a480d199b185efe685f7c42abca3d62fc2a0d WHIRLPOOL 18f5eb531ad32d27e4e2bea1f205593906ab0bcbc022f0963fd237101b26cb796f7f771ab5b7d57b126aea93627390fc55075611551109ad1ad98769a2711951
DIST install-crossover-15.0.1.bin 81027541 SHA256 ccb222775032711e6d7f3ca5994ebc51cb168cdb9e2599d186b3fb1336ac20fb SHA512 a35188ccebeee8d456e73fdcbb8e8d4f0aff41bb89d92767d2e2e78e7cb25c8e48a150393c1c9abeb9760fbc873314e301c0a364ba27acfe08e0980bb5eedb03 WHIRLPOOL 32396d7be78b6ca975d0eadb753f00c060f731eefee00bd4fbefcf4f96488104f9396632648a14af52976b75bd924325b68c3e7d79da6676bba5207aac5fd045
DIST install-crossover-15.1.0.bin 80623685 SHA256 def2d9f2bf59ba8779d15f6a63e8e58e60c8e25ffddeeb9446eccf5af72c16f9 SHA512 177e70baff3d99e808834c8e6f626f09d9c262babd6d5a3b51ea79a5a68a157cdfd4fd60ad6939d110f2300670e4973d9fd43a3a132ff9a2367dedb782e5c05c WHIRLPOOL 9a6655d0d3885d36613d0dc07ceaf02f2ee36481492787ca5e4fd59c657026dd62dbc56a09fac9ba1caa40d873e7ecd156c4d5ec22cc9185e242a099a2f4f3c7
DIST install-crossover-15.2.0.bin 80734561 SHA256 5a677c160afcfb88f1f24ad241a013bf4da430f1d1e6a109965aded298fa52fe SHA512 9633e29b26f8fa99d1c34347b8e1f2e89b84370994a1ab3bba7061b75224f3a907d1c364207312dde1995e5a59180f8699558a96a4c99b157257ab9c21013b2e WHIRLPOOL 0678e8794f31df994b5f02795f07dbf115dc8639deb04ac15f370a107fcccca5707101b6f68ec252ff248f0eaba0139d323ec2033f03880a602b3537b0fd58ae

147
app-emulation/crossover-bin/crossover-bin-15.2.0.ebuild

@ -0,0 +1,147 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="threads"
inherit python-single-r1 unpacker
DESCRIPTION="Commercial version of app-emulation/wine with paid support."
HOMEPAGE="http://www.codeweavers.com/products/crossover/"
SRC_URI="https://media.codeweavers.com/pub/crossover/cxlinux/demo/install-crossover-${PV}.bin"
LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="opt/cxoffice/lib/.*
opt/cxoffice/bin/cxburner
opt/cxoffice/bin/cxntlm_auth
opt/cxoffice/bin/wineserver
opt/cxoffice/bin/unrar
opt/cxoffice/bin/wine-preloader
opt/cxoffice/bin/cxdiag
opt/cxoffice/bin/cxgettext
opt/cxoffice/bin/wineloader
"
S="${WORKDIR}"
DEPEND="dev-lang/perl
app-arch/unzip
${PYTHON_DEPS}"
RDEPEND="${DEPEND}
!prefix? ( sys-libs/glibc )
>=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-util/desktop-file-utils
!app-emulation/crossover-office-pro-bin
!app-emulation/crossover-office-bin
capi? ( net-dialup/capi4k-utils )
cups? ( net-print/cups[abi_x86_32(-)] )
gsm? ( media-sound/gsm[abi_x86_32(-)] )
jpeg? ( virtual/jpeg[abi_x86_32(-)] )
lcms? ( media-libs/lcms:2 )
ldap? ( net-nds/openldap[abi_x86_32(-)] )
gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
nls? ( sys-devel/gettext[abi_x86_32(-)] )
openal? ( media-libs/openal[abi_x86_32(-)] )
opengl? (
virtual/glu[abi_x86_32(-)]
virtual/opengl[abi_x86_32(-)]
)
png? ( media-libs/libpng:0[abi_x86_32(-)] )
scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
v4l? ( media-libs/libv4l[abi_x86_32(-)] )
media-libs/alsa-lib[abi_x86_32(-)]
>=media-libs/freetype-2.0.0[abi_x86_32(-)]
media-libs/mesa[abi_x86_32(-)]
sys-apps/util-linux[abi_x86_32(-)]
sys-libs/zlib[abi_x86_32(-)]
x11-libs/libICE[abi_x86_32(-)]
x11-libs/libSM[abi_x86_32(-)]
x11-libs/libX11[abi_x86_32(-)]
x11-libs/libXau[abi_x86_32(-)]
x11-libs/libXdmcp[abi_x86_32(-)]
x11-libs/libXext[abi_x86_32(-)]
x11-libs/libXi[abi_x86_32(-)]
x11-libs/libXrandr[abi_x86_32(-)]
x11-libs/libXxf86vm[abi_x86_32(-)]
x11-libs/libxcb[abi_x86_32(-)]"
pkg_nofetch() {
einfo "Please visit ${HOMEPAGE}"
einfo "and place ${A} in ${DISTDIR}"
}
src_unpack() {
# self unpacking zip archive; unzip warns about the exe stuff
unpack_zip ${A}
}
src_prepare() {
python_fix_shebang .
sed -i \
-e "s:xdg_install_icons(:&\"${ED}\".:" \
-e "s:\"\(.*\)/applications:\"${ED}\1/applications:" \
-e "s:\"\(.*\)/desktop-directories:\"${ED}\1/desktop-directories:" \
"${S}/lib/perl/CXMenuXDG.pm"
# Remove unnecessary files
rm -r license.txt guis/ || die "Could not remove files"
use doc || rm -r doc/ || die "Could not remove files"
}
src_install() {
# Install crossover symlink, bug #476314
dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
# Install documentation
dodoc README changelog.txt
rm README changelog.txt || die "Could not remove README and changelog.txt"
# Install files
dodir /opt/cxoffice
#cp -r ./* "${ED}opt/cxoffice" \
find . | cpio -dumpl "${ED}/opt/cxoffice" 2>/dev/null \
|| die "Could not install into ${ED}opt/cxoffice"
# Install configuration file
insinto /opt/cxoffice/etc
doins share/crossover/data/cxoffice.conf
# Install menus
# XXX: locate_gui.sh automatically detects *-application-merged directories
# This means what we install will vary depending on the contents of
# /etc/xdg, which is a QA violation. It is not clear how to resolve this.
XDG_DATA_DIRS="/usr/share" XDG_CONFIG_HOME="/etc/xdg" \
"${ED}opt/cxoffice/bin/cxmenu" --destdir="${ED}" --crossover --install \
|| die "Could not install menus"
rm "${ED}usr/share/applications/"*"Uninstall CrossOver Linux.desktop" \
"${ED}opt/cxoffice/support/desktopdata/cxoffice-0/cxmenu/Launchers/StartMenu/Uninstall CrossOver Linux.desktop" \
|| die "Could not remove uninstall menus"
sed -i \
-e "s:\"${ED}\".::" \
-e "s:${ED}::" \
"${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm" \
|| die "Could not fix paths in ${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm"
sed -i -e "s:${ED}:/:" \
"${ED}/opt/cxoffice/support/desktopdata/cxoffice-0/cxmenu/Launchers/StartMenu/"*.desktop \
"${ED}usr/share/applications/"*"CrossOver.desktop" \
|| die "Could not fix paths of *.desktop files"
}
pkg_postinst() {
einfo "${P} is open source software with the exception of the GUI."
einfo "Source code can be obtained from:"
einfo
einfo "https://media.codeweavers.com/pub/crossover/source/crossover-sources-${PV}.tar.gz"
}

40
app-emulation/qemu/files/qemu-2.7.0-CVE-2016-7170.patch

@ -0,0 +1,40 @@
From: Prasad J Pandit <address@hidden>
When processing svga command DEFINE_CURSOR in vmsvga_fifo_run,
the computed BITMAP and PIXMAP size are checked against the
'cursor.mask[]' and 'cursor.image[]' array sizes in bytes.
Correct these checks to avoid OOB memory access.
Reported-by: Qinghao Tang <address@hidden>
Reported-by: Li Qiang <address@hidden>
Signed-off-by: Prasad J Pandit <address@hidden>
---
hw/display/vmware_vga.c | 12 +++++++-----
1 file changed, 7 insertions(+), 5 deletions(-)
diff --git a/hw/display/vmware_vga.c b/hw/display/vmware_vga.c
index e51a05e..6599cf0 100644
--- a/hw/display/vmware_vga.c
+++ b/hw/display/vmware_vga.c
@@ -676,11 +676,13 @@ static void vmsvga_fifo_run(struct vmsvga_state_s *s)
cursor.bpp = vmsvga_fifo_read(s);
args = SVGA_BITMAP_SIZE(x, y) + SVGA_PIXMAP_SIZE(x, y, cursor.bpp);
- if (cursor.width > 256 ||
- cursor.height > 256 ||
- cursor.bpp > 32 ||
- SVGA_BITMAP_SIZE(x, y) > sizeof cursor.mask ||
- SVGA_PIXMAP_SIZE(x, y, cursor.bpp) > sizeof cursor.image) {
+ if (cursor.width > 256
+ || cursor.height > 256
+ || cursor.bpp > 32
+ || SVGA_BITMAP_SIZE(x, y)
+ > sizeof(cursor.mask) / sizeof(cursor.mask[0])
+ || SVGA_PIXMAP_SIZE(x, y, cursor.bpp)
+ > sizeof(cursor.image) / sizeof(cursor.image[0])) {
goto badcmd;
}
--
2.5.5

684
app-emulation/qemu/qemu-2.7.0-r1.ebuild

@ -1,684 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="ncurses,readline"
PLOCALES="bg de_DE fr_FR hu it tr zh_CN"
inherit eutils flag-o-matic linux-info toolchain-funcs multilib python-r1 \
user udev fcaps readme.gentoo pax-utils l10n
if [[ ${PV} = *9999* ]]; then
EGIT_REPO_URI="git://git.qemu.org/qemu.git"
inherit git-2
SRC_URI=""
else
SRC_URI="http://wiki.qemu-project.org/download/${P}.tar.bz2"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
fi
DESCRIPTION="QEMU + Kernel-based Virtual Machine userland tools"
HOMEPAGE="http://www.qemu.org http://www.linux-kvm.org"
LICENSE="GPL-2 LGPL-2 BSD-2"
SLOT="0"
IUSE="accessibility +aio alsa bluetooth bzip2 +caps +curl debug +fdt glusterfs \
gnutls gtk gtk2 infiniband iscsi +jpeg \
kernel_linux kernel_FreeBSD lzo ncurses nfs nls numa opengl +pin-upstream-blobs
+png pulseaudio python \
rbd sasl +seccomp sdl sdl2 selinux smartcard snappy spice ssh static static-softmmu
static-user systemtap tci test +threads usb usbredir +uuid vde +vhost-net \
virgl virtfs +vnc vte xattr xen xfs"
COMMON_TARGETS="aarch64 alpha arm cris i386 m68k microblaze microblazeel mips
mips64 mips64el mipsel or32 ppc ppc64 s390x sh4 sh4eb sparc sparc64 unicore32
x86_64"
IUSE_SOFTMMU_TARGETS="${COMMON_TARGETS} lm32 moxie ppcemb tricore xtensa xtensaeb"
IUSE_USER_TARGETS="${COMMON_TARGETS} armeb mipsn32 mipsn32el ppc64abi32 ppc64le sparc32plus tilegx"
use_softmmu_targets=$(printf ' qemu_softmmu_targets_%s' ${IUSE_SOFTMMU_TARGETS})
use_user_targets=$(printf ' qemu_user_targets_%s' ${IUSE_USER_TARGETS})
IUSE+=" ${use_softmmu_targets} ${use_user_targets}"
# Allow no targets to be built so that people can get a tools-only build.
# Block USE flag configurations known to not work.
REQUIRED_USE="${PYTHON_REQUIRED_USE}
gtk2? ( gtk )
qemu_softmmu_targets_arm? ( fdt )
qemu_softmmu_targets_microblaze? ( fdt )
qemu_softmmu_targets_ppc? ( fdt )
qemu_softmmu_targets_ppc64? ( fdt )
sdl2? ( sdl )
static? ( static-softmmu static-user )
static-softmmu? ( !alsa !pulseaudio !bluetooth !opengl !gtk !gtk2 )
virtfs? ( xattr )
vte? ( gtk )"
# Yep, you need both libcap and libcap-ng since virtfs only uses libcap.
#
# The attr lib isn't always linked in (although the USE flag is always
# respected). This is because qemu supports using the C library's API
# when available rather than always using the extranl library.
#
# Older versions of gnutls are supported, but it's simpler to just require
# the latest versions. This is also why we require nettle.
#
# TODO: Split out tools deps into another var. e.g. bzip2 is only used by
# system binaries and tools, not user binaries.
COMMON_LIB_DEPEND=">=dev-libs/glib-2.0[static-libs(+)]
dev-libs/libpcre[static-libs(+)]
sys-libs/zlib[static-libs(+)]
bzip2? ( app-arch/bzip2[static-libs(+)] )
xattr? ( sys-apps/attr[static-libs(+)] )"
SOFTMMU_LIB_DEPEND="${COMMON_LIB_DEPEND}
>=x11-libs/pixman-0.28.0[static-libs(+)]
accessibility? ( app-accessibility/brltty[static-libs(+)] )
aio? ( dev-libs/libaio[static-libs(+)] )
alsa? ( >=media-libs/alsa-lib-1.0.13 )
bluetooth? ( net-wireless/bluez )
caps? ( sys-libs/libcap-ng[static-libs(+)] )
curl? ( >=net-misc/curl-7.15.4[static-libs(+)] )
fdt? ( >=sys-apps/dtc-1.4.0[static-libs(+)] )
glusterfs? ( >=sys-cluster/glusterfs-3.4.0[static-libs(+)] )
gnutls? (
dev-libs/nettle:=[static-libs(+)]